/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.kbss.samplecv2app.service;

import cz.cvut.kbss.bookstore.dao.GenericHibernateJpaDAO;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;
import org.junit.After;
import org.junit.Before;

/**
 *
 * @author mickapa1
 */
public class AbstractServiceTest {
    private EntityManagerFactory entityManagerFactory;
    private EntityManager manager;
    private EntityTransaction transaction;
    
    
    public AbstractServiceTest() {
        entityManagerFactory = Persistence.createEntityManagerFactory("sample");
    }
    
    @Before
    public void setUp() throws Exception {
        this.manager = entityManagerFactory.createEntityManager();
        transaction = manager.getTransaction();
        transaction.begin();
    }
    
    @After
    public void after(){
        transaction.rollback();
    }    
    
    
    protected class TestGenericHibernateDao extends GenericHibernateJpaDAO{

        @Override
        protected EntityManager getEntityManager() {
            return AbstractServiceTest.this.manager;
        }
        
    }    
}
