/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.kbss.samplecv2app.service;

import cz.cvut.kbss.bookstore.dto.UserDto;
import cz.cvut.kbss.bookstore.service.UserServiceImpl;
import static org.junit.Assert.*;
import org.junit.Test;

/**
 *
 * @author mickapa1
 */
public class UserServiceImplTest extends AbstractServiceTest{
    private UserServiceImpl userService;
    public UserServiceImplTest() {
        this.userService = new UserServiceImpl();
        userService.setGenericDao(new TestGenericHibernateDao());
    }
    
    @Test
    public void testAddAndRetrieveUser() {
        
        String userName = "UserName";
        String passwd = "passwd";
        int age = 18;
        
        Long id = userService.addUser(userName, passwd, age);
        UserDto userDto = userService.getUserById(id);
        
        assertEquals(userName, userDto.getUserName());
        assertEquals(age, userDto.getAge());
        
    }
    @Test
    public void testAddAndRemoveUser() {
        
        String userName = "UserName";
        String passwd = "passwd";
        int age = 18;
        
        Long id = userService.addUser(userName, passwd, age);
        assertEquals(1, userService.getAllUsers().size());
        userService.deleteUser(id);
        assertEquals(0, userService.getAllUsers().size());        
    }      

}
